# Generated from asciidoctor-confluence-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name asciidoctor-confluence

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Publishing Asciidoctor content as Confluence page
License: MIT
URL: http://asciidoctor.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.0
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(test-unit) >= 3.0.9
# BuildRequires: rubygem(rspec) >= 3.1.0
# BuildRequires: rubygem(rspec) < 3.2
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec-mocks) >= 3.1.3
# BuildRequires: rubygem(rspec-mocks) < 3.2
# BuildRequires: rubygem(rspec-mocks) >= 3.1
# BuildRequires: rubygem(webmock) >= 1.20.4
# BuildRequires: rubygem(webmock) < 1.21
# BuildRequires: rubygem(webmock) >= 1.20
BuildArch: noarch

%description
Asciidoctor-Confluence allows to parse asciidoc files, transform them into
HTML and then push them into a Confluence.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/asciidoctor-confluence
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rakeTasks
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.adoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/asciidoctor-confluence.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
